Document
Delete Document by ID
The Delete Document by ID endpoint deletes permanently removes a document from an envelope.
DELETE
/
sign
/
envelopes
/
{envelopeID}
/
documents
/
{documentID}
Delete Document by ID
curl --request DELETE \
--url https://api.gonitro.dev/sign/envelopes/{envelopeID}/documents/{documentID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gonitro.dev/sign/envelopes/{envelopeID}/documents/{documentID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gonitro.dev/sign/envelopes/{envelopeID}/documents/{documentID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Missing or invalid Authorization header",
"instance": "/sign/envelopes"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#404-not-found",
"title": "Document not Found",
"status": 404,
"detail": "Document with ID 'document-123' not found",
"instance": "/sign/envelopes/envelop-123/documents/doc-123"
}{
"type": "https://developers.gonitro.com/docs/build-nitro/errors#409-conflict",
"title": "Conflict",
"status": 409,
"detail": "Envelope in invalid state",
"instance": "/sign/envelopes/%s:send-for-signing"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A unique UUIDv4 string that identifies the envelope in the Nitro system.
A unique string that identifies the document in the Nitro system.
Response
Document deleted successfully
Previous
Update Document by IDThe **Update Document by ID** endpoint allows you to update an existing document's metadata within an envelope.
This endpoint performs a partial update on the document, changing only the provided fields while preserving all other properties.
Currently, only the document name can be updated.
Next
⌘I
Delete Document by ID
